Accept and persist classification
curl --request POST \
--url https://api.example.com/api/metastore/classify/{catalog}/{schema}/{table}/accept \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"table": {
"accepted_classifications": [
"<string>"
],
"accepted_tags": [
"<string>"
],
"description": "<string>",
"accepted_glossary_terms": [
"<string>"
],
"new_glossary_terms": [
{
"term_name": "<string>",
"term_description": "",
"is_existing": false,
"term_urn": "<string>"
}
]
},
"columns": [
{
"column_name": "<string>",
"accepted_classifications": [
"<string>"
],
"accepted_tags": [
"<string>"
],
"description": "<string>",
"accepted_glossary_terms": [
"<string>"
],
"new_glossary_terms": [
{
"term_name": "<string>",
"term_description": "",
"is_existing": false,
"term_urn": "<string>"
}
]
}
]
}
'import requests
url = "https://api.example.com/api/metastore/classify/{catalog}/{schema}/{table}/accept"
payload = {
"table": {
"accepted_classifications": ["<string>"],
"accepted_tags": ["<string>"],
"description": "<string>",
"accepted_glossary_terms": ["<string>"],
"new_glossary_terms": [
{
"term_name": "<string>",
"term_description": "",
"is_existing": False,
"term_urn": "<string>"
}
]
},
"columns": [
{
"column_name": "<string>",
"accepted_classifications": ["<string>"],
"accepted_tags": ["<string>"],
"description": "<string>",
"accepted_glossary_terms": ["<string>"],
"new_glossary_terms": [
{
"term_name": "<string>",
"term_description": "",
"is_existing": False,
"term_urn": "<string>"
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
table: {
accepted_classifications: ['<string>'],
accepted_tags: ['<string>'],
description: '<string>',
accepted_glossary_terms: ['<string>'],
new_glossary_terms: [
{
term_name: '<string>',
term_description: '',
is_existing: false,
term_urn: '<string>'
}
]
},
columns: [
{
column_name: '<string>',
accepted_classifications: ['<string>'],
accepted_tags: ['<string>'],
description: '<string>',
accepted_glossary_terms: ['<string>'],
new_glossary_terms: [
{
term_name: '<string>',
term_description: '',
is_existing: false,
term_urn: '<string>'
}
]
}
]
})
};
fetch('https://api.example.com/api/metastore/classify/{catalog}/{schema}/{table}/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"table_tags_applied": [
"<string>"
],
"column_tags_applied": {},
"glossary_terms_linked": 0,
"glossary_terms_created": 0,
"descriptions_updated": 0
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": "<string>",
"code": 500
}Catalogs
Accept and persist classification
Persist user-accepted classification results to DataHub.
POST
/
api
/
metastore
/
classify
/
{catalog}
/
{schema}
/
{table}
/
accept
Accept and persist classification
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Catalog name.
Schema name.
Table name.
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I

